Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PassSymbols Class Reference

`#include <PassSymbols.h>`

Inheritance diagram for PassSymbols:

[legend]
Collaboration diagram for PassSymbols:

[legend]
List of all members.

## Public Member Functions
| PassSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
Input symbols
bool | getPassExists ()
double | getPassQuality ()
double | getPassDistance ()
double | getPlayerNumberOfReceiver ()
double | getAngleToPassSender ()
double | getAngleToPassReceiver ()
## Private Attributes
long | preparingAPassMessageTimeStamp
Player::playerNumber | preparingAPassMessagePlayerNumber

## Constructor & Destructor Documentation

PassSymbols::PassSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 12 of file PassSymbols.cpp.

## Member Function Documentation

void PassSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 18 of file PassSymbols.cpp. References getAngleToPassReceiver(), getAngleToPassSender(), getPassDistance(), getPassExists(), getPassQuality(), getPlayerNumberOfReceiver(), Xabsl2Symbols::registerBooleanInputSymbol(), and Xabsl2Symbols::registerDecimalInputSymbol(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void PassSymbols::update | ( |  | ) |

| updates the symbols Definition at line 39 of file PassSymbols.cpp.

bool PassSymbols::getPassExists | ( |  | ) |

| A function for the symbol "pass.found" Definition at line 83 of file PassSymbols.cpp. References PassCorridorCollection::bestPassCorridorIndex. Referenced by registerSymbols().

double PassSymbols::getPassQuality | ( |  | ) |

| A function for the symbol "pass.quality" Definition at line 88 of file PassSymbols.cpp. References PassCorridorCollection::getBestPassCorridorQuality(). Referenced by registerSymbols().

Here is the call graph for this function:

double PassSymbols::getPassDistance | ( |  | ) |

| A function for the symbol "pass.distance" Definition at line 93 of file PassSymbols.cpp. References PassCorridorCollection::bestPassCorridor, PassCorridorCollection::bestPassCorridorIndex, and PassCorridor::distance. Referenced by registerSymbols().

double PassSymbols::getPlayerNumberOfReceiver | ( |  | ) |

| A function for the symbol "pass.player-number-of-pass-receiver" Definition at line 101 of file PassSymbols.cpp. References PassCorridorCollection::bestPassCorridor, PassCorridorCollection::bestPassCorridorIndex, and PassCorridor::playerNumber. Referenced by registerSymbols().

double PassSymbols::getAngleToPassSender | ( |  | ) |

| A function for the symbol "pass.angle-to-pass-sender". Angle is relative Definition at line 45 of file PassSymbols.cpp. References SystemCall::getCurrentSystemTime(), BallModel::getKnownPosition(), PlayerPoseCollection::getOwnPlayerPoseByPlayerNumber(), PlayerPose::getPose(), RobotPose::getPose(), TeamMessageCollection::numberOfTeamMessages, preparingAPassMessagePlayerNumber, preparingAPassMessageTimeStamp, toDegrees(), and Pose2D::translation. Referenced by registerSymbols().

Here is the call graph for this function:

double PassSymbols::getAngleToPassReceiver | ( |  | ) |

| A function for the symbol "pass.angle-to-pass-receiver". Angle is relative Definition at line 113 of file PassSymbols.cpp. References PassCorridorCollection::bestPassCorridor, PassCorridorCollection::bestPassCorridorIndex, PlayerPoseCollection::getOwnPlayerPose(), PlayerPose::getPose(), RobotPose::getPose(), PassCorridor::playerPoseIndex, toDegrees(), and Pose2D::translation. Referenced by registerSymbols().

Here is the call graph for this function:

## Member Data Documentation

long PassSymbols::preparingAPassMessageTimeStamp`[private]`

| Definition at line 42 of file PassSymbols.h. Referenced by getAngleToPassSender().

Player::playerNumber PassSymbols::preparingAPassMessagePlayerNumber`[private]`

| Definition at line 43 of file PassSymbols.h. Referenced by getAngleToPassSender().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/PassSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/PassSymbols.cpp